from openpyxl import Workbook

from os.path import isdir, abspath
from os import mkdir

# объект для сохранения спаршенных категорий в таблицы
class Recorder:
    def __init__(self, records_folder="category_parsed"):
        # проверяем наличие папки для сохранения таблиц
        if not isdir(abspath('records_folder')):
            mkdir(abspath("records_folder"))
        self.record_folder = abspath("records_folder")

    # запись и сохранение таблицы
    def record(self, csv_name, table_data):
        workbook = Workbook()
        worksheet = workbook.active


        for row in table_data:
            worksheet.append(row)

        workbook.save(f"{self.record_folder}/{csv_name}.xlsx")